discography:
- catalog: COCX-30967
  date: '2000-06-21'
  link: album/73925
  reprint: false
  roles:
  - Vocals
  titles:
    en: Mirai Sentai TIMERANGER SONG COLLECTION 1
    ja: 未来戦隊タイムレンジャー ソング・コレクション1
    ja-latn: Mirai Sentai TIMERANGER SONG COLLECTION 1
  type: toku
featured_on: []
info:
  Credited works:
  - 1 albums in database
  - 1 products in database
  Credits: 2 vocals
  Former Members:
  - link: artist/63008
    names:
      en: Masahiro Kuranuki
      ja: 倉貫匡弘
  - link: artist/63005
    names:
      en: Masaru Nagai
      ja: 永井マサル
  - link: artist/63003
    names:
      en: Mika Katsumura
      ja: 勝村美香
  - link: artist/63007
    names:
      en: Tomohide Koizumi
      ja: 小泉朋英
  - link: artist/63006
    names:
      en: Yuji Kido
      ja: 城戸裕次
link: artist/63001
meta:
  added_date: 2024-04-18T17:52
  edited_date: 2024-04-18T17:59
  fetched_date: 2025-11-10T23:05
  ttl: 86400
  visitors: 237
name: T.R.Futures
notes: 'A vocal unit who performed the songs ''Miracle☆Xmas'' and ''Don''t Stop Your
  Story!'' from MIRAI SENTAI TIMERANGER.

  ''T.R.'' stands for ''Tomorrow Research,'' the detective agency run by the main
  cast of the show.

  Members

  - Masaru Nagai (Tatsuya Asami / TimeRed)

  - Mika Katsumura (Yuri / TimePink)

  - Yuji Kido (Ayase / TimeBlue)

  - Shuhei Izumi (Domon / TimeYellow)

  - Masahiro Kuranuki (Sion / TimeGreen)'
type: Unit
vgmdb_link: https://vgmdb.net/artist/63001?perpage=99999
websites: {}
